<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\SchoolClass\SchoolId;
use DomainException;

use function sprintf;

final class SchoolBrandingNotFoundException extends DomainException
{
    public static function pourEcole(SchoolId $schoolId): self
    {
        return new self(sprintf(
            'Aucune personnalisation visuelle trouvée pour l\'établissement "%s".',
            $schoolId,
        ));
    }
}
